Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ws
Class WSObject

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.jbo.common.ws.WSObject`

All Implemented Interfaces:
  java.util.Map, java.io.Serializable, VariableManagerOwner

Direct Known Subclasses:
  WSAMComponent, WSApplicationModuleImpl

public abstract class WSObject
extends JboAbstractMap
implements java.io.Serializable, VariableManagerOwner

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected java.util.ArrayList` | `mVariableOpers`

Method Summary
`VariableValueManager` | `ensureVariableManager()` Returns this object's Variable Value Manager.
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.String` | `getFullName()`
`int` | `getId()`
`abstract java.lang.Object` | `getImplObject()`
`abstract java.lang.String` | `getName()` Returns the name of this Variable Manager Owner.
`abstract WSObject` | `getParent()`
`VariableValueManager` | `getVariableManager()` Returns this object's current Variable Value Manager.
`boolean` | `hasVariables()` Returns a flag indicating whether this object has Variables or not.
`abstract void` | `markForError(java.lang.Exception ex, boolean hasImplObject)`
`abstract void` | `setImplObject(java.lang.Object o)`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, hashCode, internalGet, internalPut, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getMessageBundleClass`

Field Detail

### mVariableOpers

    protected java.util.ArrayList mVariableOpers

Method Detail

### getName

    public abstract java.lang.String getName()

  Description copied from interface: `VariableManagerOwner`
  Returns the name of this Variable Manager Owner.
  Specified by:
    `getName` in interface `VariableManagerOwner`
  Returns:
    the name.

### getParent

    public abstract WSObject getParent()

### getImplObject

    public abstract java.lang.Object getImplObject()

### setImplObject

    public abstract void setImplObject(java.lang.Object o)

### markForError

    public abstract void markForError(java.lang.Exception ex,
                                      boolean hasImplObject)

### getId

    public int getId()

### getFullName

    public java.lang.String getFullName()

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `JboAbstractMap`

### hasVariables

    public boolean hasVariables()

  Description copied from interface: `VariableManagerOwner`
  Returns a flag indicating whether this object has Variables or not.
  Specified by:
    `hasVariables` in interface `VariableManagerOwner`
  Returns:
    the flag indicating whether this object has Variables.

### getVariableManager

    public VariableValueManager getVariableManager()

  Description copied from interface: `VariableManagerOwner`
  Returns this object's current Variable Value Manager. It will return `null` if Variable Value Manager has been initialized.

  When a framework object is first created, its Variable Value Manager may be null. This method does not initialize (create) the Variable Value Manager.

  ``VariableManagerOwner.ensureVariableManager()`` in contrast, ensures that the Variable Value Manager is initialized (created).

  Specified by:
    `getVariableManager` in interface `VariableManagerOwner`
  Returns:
    this object's current Variable Value Manager. May return `null` if one was not yet initialized.

### ensureVariableManager

    public VariableValueManager ensureVariableManager()

  Description copied from interface: `VariableManagerOwner`
  Returns this object's Variable Value Manager. If this object current has no Variable Value Manager, it will initialize (create) one.
  Specified by:
    `ensureVariableManager` in interface `VariableManagerOwner`
  Returns:
    this object's Variable Value Manager. Will create a Variable Value Manager if this object had no Variable Value Manager.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.